## org.eclipse.jst.jsf.core.jsflibraryregistry
Class JSFLibraryArchiveFilesDelegate

    java.lang.Object
      org.eclipse.jst.jsf.core.jsflibraryregistry.JSFLibraryArchiveFilesDelegate

Deprecated. along with the jsflibraries extension-point

    public abstract class JSFLibraryArchiveFilesDelegate

extends java.lang.Object

Abstract delegate class used by jsfLibraries ext-pt to return collection of ArchiveFiles to PluginProvidedJSFLibraryCreationHelper. Caller must first setConfigurationElement(IConfigurationElement element) before a call to getArchiveFiles().

Provisional API - subject to change

Constructor Summary
`JSFLibraryArchiveFilesDelegate()` Deprecated. Constructs an instance.

Method Summary
`abstract java.util.Collection` `getArchiveFiles()` Deprecated. Returns a Collection of `org.eclipse.jst.jsf.core.internal.jsflibraryregistry.ArchiveFile` instances.
`void` `setConfigurationElement(IConfigurationElement extPtElement)` Deprecated. Sets the IConfigurationElement instance to be subsequently used to get the plugin ID and the name defined for the JSF Library.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSFLibraryArchiveFilesDelegate

    public JSFLibraryArchiveFilesDelegate()

  Deprecated.
  Constructs an instance.

Method Detail

### getArchiveFiles

    public abstract java.util.Collection getArchiveFiles()

  Deprecated.
  Returns a Collection of `org.eclipse.jst.jsf.core.internal.jsflibraryregistry.ArchiveFile` instances.

  Returns:
    A Collection of `org.eclipse.jst.jsf.core.internal.jsflibraryregistry.ArchiveFile` instances

### setConfigurationElement

    public final void setConfigurationElement(IConfigurationElement extPtElement)

  Deprecated.
  Sets the IConfigurationElement instance to be subsequently used to get the plugin ID and the name defined for the JSF Library.

  Parameters:
    `extPtElement` - IConfigurationElement instance